package com.usoftchina.qywx.sdk.dto;

import java.util.List;

/**
 * @author yingp
 */
public class GetCheckinDataResp extends BaseResp{

    private List<CheckinData> checkindata;

    public List<CheckinData> getCheckindata() {
        return checkindata;
    }

    public void setCheckindata(List<CheckinData> checkindata) {
        this.checkindata = checkindata;
    }

    public static class CheckinData {
        private String userid;
        /**
         * 打卡规则名称
         */
        private String groupname;
        /**
         * 打卡类型。字符串，目前有：上班打卡，下班打卡，外出打卡
         */
        private String checkin_type;
        /**
         * 异常类型，字符串，包括：时间异常，地点异常，未打卡，wifi异常，非常用设备。如果有多个异常，以分号间隔
         */
        private String exception_type;
        /**
         * 打卡时间。Unix时间戳
         */
        private Long checkin_time;
        /**
         * 打卡地点title
         */
        private String location_title;
        /**
         * 打卡地点详情
         */
        private String location_detail;
        /**
         * 打卡wifi名称
         */
        private String wifiname;
        /**
         * 打卡备注
         */
        private String notes;
        /**
         * 打卡的MAC地址/bssid
         */
        private String wifimac;
        /**
         * 打卡的附件media_id，可使用media/get获取附件
         */
        private List<String> mediaids;
        /**
         * 位置打卡地点纬度，是实际纬度的1000000倍，与腾讯地图一致采用GCJ-02坐标系统标准
         */
        private Long lat;
        /**
         * 位置打卡地点经度，是实际经度的1000000倍，与腾讯地图一致采用GCJ-02坐标系统标准
         */
        private Long lng;

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public String getGroupname() {
            return groupname;
        }

        public void setGroupname(String groupname) {
            this.groupname = groupname;
        }

        public String getCheckin_type() {
            return checkin_type;
        }

        public void setCheckin_type(String checkin_type) {
            this.checkin_type = checkin_type;
        }

        public String getException_type() {
            return exception_type;
        }

        public void setException_type(String exception_type) {
            this.exception_type = exception_type;
        }

        public Long getCheckin_time() {
            return checkin_time;
        }

        public void setCheckin_time(Long checkin_time) {
            this.checkin_time = checkin_time;
        }

        public String getLocation_title() {
            return location_title;
        }

        public void setLocation_title(String location_title) {
            this.location_title = location_title;
        }

        public String getLocation_detail() {
            return location_detail;
        }

        public void setLocation_detail(String location_detail) {
            this.location_detail = location_detail;
        }

        public String getWifiname() {
            return wifiname;
        }

        public void setWifiname(String wifiname) {
            this.wifiname = wifiname;
        }

        public String getNotes() {
            return notes;
        }

        public void setNotes(String notes) {
            this.notes = notes;
        }

        public String getWifimac() {
            return wifimac;
        }

        public void setWifimac(String wifimac) {
            this.wifimac = wifimac;
        }

        public List<String> getMediaids() {
            return mediaids;
        }

        public void setMediaids(List<String> mediaids) {
            this.mediaids = mediaids;
        }

        public Long getLat() {
            return lat;
        }

        public void setLat(Long lat) {
            this.lat = lat;
        }

        public Long getLng() {
            return lng;
        }

        public void setLng(Long lng) {
            this.lng = lng;
        }
    }
}
